Status: Rejected

Priority: Normal

Assignee: Adam Paquette

Category: Applications

Target version: 3.4.13 (FY16 R3 2016-08-31 Aug)

Impact: Software Version:
Description

When using editlab in the gui, if you set the value of a keyword to a list such as (1, 2, 3, 4), it sets the keyword correctly. (ie Keyword
=(1,2,3,4))

However if you copy what is in the command line text box at the bottom of the gui and use that on the command line, it sets the
keyword value to the first element in the list. (Keyword = 1)

The correct way to get editlab, on the command line (or scripting), to input the full list, including parenthesis, is to set the value of the
keyword to "\(1, 2, 3, 4)"

There is no problem with the way this works right now, but the command line widget MUST reflect what the command has to be to
get the same result

Example:

GUI - From = /home/mshepherd/0947/ctx_pmoi_i_00003.bottom.cub, select set keyword, GRPNAME = Test, Keyword = Valid, Value
=(1,2,3,4)
This will set the keyword correctly.

Command line text box - editlab from=/home/mshepherd/0947/ctx_pmoi_i_00003.bottom.cub grpname=Test keyword=Valid
value="(1, 2, 3, 4)"
This will set the keyword to 1

Correct command - editlab from=/home/mshepherd/0947/ctx_pmoi_i_00003.bottom.cub grpname=Test keyword=Valid value="\(1, 2,
3’ 4)II
This will set the keyword correctly

Related issues:
Related to ISIS - Bug #4088: editlab history does not copy lists Closed

History

#1 - 2016-06-24 05:36 PM - Makayla Shepherd

- Description updated

#2 - 2016-06-24 05:40 PM - Makayla Shepherd
- Project changed from Jigsaw to ISIS
- Category set to Applications

#3 - 2016-06-24 05:41 PM - Makayla Shepherd
- Related to Bug #4088: editlab history does not copy lists added

#4 - 2016-06-30 10:39 AM - Stuart Sides
- Status changed from New to Assigned
- Assignee set to Adam Paquette

- Target version set to 3.4.13 (FY16 R3 2016-08-31 Aug)
#5 - 2016-07-12 11:54 AM - Adam Paquette

- Status changed from Assigned to Rejected

While this is how TCshell would handle the parentheses, other terminal shells will handle parentheses (and other special characters) differently.
Instead, getting the command line text box as close to the command is ideal, therefore it gives the user the basic command. Then, depending on the
shell, the user or programmer can edit the command to work properly.
